Subject: Re: [PATCH -next] staging/vmwgfx: depends on FB

From: Greg KH <[email-masked]>
Date: Tue, 16 Feb 2010 15:22:17 -0800

On Tue, Feb 16, 2010 at 03:15:22PM -0800, Randy Dunlap wrote:
> On 02/16/10 15:05, Greg KH wrote:
> > On Tue, Feb 16, 2010 at 02:59:11PM -0800, Randy Dunlap wrote:
> >> From: Randy Dunlap <[email-masked]>
> >>
> >> vmwfgx uses framebuffer interfaces, so it should depend on FB.
> >> Otherwise it has these build errors (e.g., when CONFIG_FB=m):
> >>
> >> drivers/built-in.o: In function `vmw_fb_close':
> >> (.text+0x97713): undefined reference to `unregister_framebuffer'
> >> drivers/built-in.o: In function `vmw_fb_close':
> >> (.text+0x97754): undefined reference to `framebuffer_release'
> >> drivers/built-in.o: In function `vmw_fb_init':
> >> (.text+0x97e1c): undefined reference to `framebuffer_alloc'
> >> drivers/built-in.o: In function `vmw_fb_init':
> >> (.text+0x9838d): undefined reference to `register_framebuffer'
> >> drivers/built-in.o: In function `vmw_fb_init':
> >> (.text+0x9842a): undefined reference to `framebuffer_release'
> >>
> >> Signed-off-by: Randy Dunlap <[email-masked]>
> >> ---
> >>  drivers/gpu/drm/vmwgfx/Kconfig |    2 +-
> > 
> > This is not a drivers/staging/* file, so there's not much I can do with
> > it.  It belongs to David Airlie.
> 
> OK, I'll resend it to him, thanks.
> 
> I think I was confused by drivers/staging/Kconfig:
> 
> source "drivers/gpu/drm/vmwgfx/Kconfig"
> 
> source "drivers/gpu/drm/nouveau/Kconfig"
> 
> 
> Why are those lines there??

Because those modules are "hidden" behind the CONFIG_STAGING option.

thanks,

greg k-h